# ========================================================
# English Translation phrases for phpVideoPro
# ========================================================

UPDATE pvp_languages SET charset='UTF-8' WHERE lang_id='en';
INSERT INTO pvp_lang VALUES ('not_yet_implemented','en','Sorry - not yet implemented.','Hint displayed when hitting a not yet implemented feature');
INSERT INTO pvp_lang VALUES('medium','en','Medium','The term <i>Medium</i> refers to a physical medium, such as a tape or DVD');
INSERT INTO pvp_lang VALUES('nr','en','Nr','Abbreviation for the term <i>number</i>');
INSERT INTO pvp_lang VALUES('title','en','Title','Used for the title of movies');
INSERT INTO pvp_lang VALUES('length','en','Length','Mostly used for the length (in minutes) of a movie');
INSERT INTO pvp_lang VALUES('year','en','Year','A year has mostly 365 days...');
INSERT INTO pvp_lang VALUES('date_rec','en','Date Acquired','The date you either recorded the movie or added it to your collection');
INSERT INTO pvp_lang VALUES('category','en','Category','The category a movie may belong to, e.g. Action, SciFi');
INSERT INTO pvp_lang VALUES('medialist','en','Medialist','The <i>Medialist</i> is a page that lists up all movies of your collection');
INSERT INTO pvp_lang VALUES('enter_min_free','en','Enter minimum of free space on medium to display:','Prompt when searching for free space on your media. Space is meant to be a time frame in minutes.');
INSERT INTO pvp_lang VALUES('display','en','Display','Button description for e.g. the search form: after filling in your values, you want to <i>display</i> the results');
INSERT INTO pvp_lang VALUES('free_space_on_media','en','Following media have at least %1 minutes of free space available:','Header of the result list of the search for free space on media');
INSERT INTO pvp_lang VALUES('free','en','Free','As in e.g. "This tape has xx min <i>free</i> space available". Has to be a short term - see it when viewing an entry.');
INSERT INTO pvp_lang VALUES('content','en','Content','Like in "Table of contents"');
INSERT INTO pvp_lang VALUES('filter_setup','en','Filter Setup','Menu item: edit filter settings');
INSERT INTO pvp_lang VALUES('mediatype','en','MediaType','The type of a medium, e.g. DVD or VideoCD');
INSERT INTO pvp_lang VALUES('screen','en','Screen Format','Screen format of the recording, e.g. 16:9 or 4:3');
INSERT INTO pvp_lang VALUES('picture','en','Color Format','What color format the movie is in, e.g. black-and-white, color or 3dimensional');
INSERT INTO pvp_lang VALUES('tone','en','Tone Format','Mono, Stereo, etc.');
INSERT INTO pvp_lang VALUES('longplay','en','LongPlay','For tapes, some video recorder support a <i>longplay</i> feature, so that on a normal 240min tape fit 480min');
INSERT INTO pvp_lang VALUES('fsk','en','PG','"Parental Guide": minimum age required to see this movie');
INSERT INTO pvp_lang VALUES('actor','en','Actor','He plays a role in the movie');
INSERT INTO pvp_lang VALUES('actors','en','Actors','They play roles in the movie');
INSERT INTO pvp_lang VALUES('director','en','Director','The supervisor of the creation of the movie');
INSERT INTO pvp_lang VALUES('directors','en','Directors','see <i>director</i>');
INSERT INTO pvp_lang VALUES('composer','en','Composer','The one who made the sound track for this movie');
INSERT INTO pvp_lang VALUES('music','en','Composer','The one who made the sound track for this movie');
INSERT INTO pvp_lang VALUES('min','en','min','Abbreviation for "minimum"');
INSERT INTO pvp_lang VALUES('max','en','max','Abbreviation for "maximum"');
INSERT INTO pvp_lang VALUES('s/w','en','b/w','Movie color type, e.g. colored, black-and-white or 3dimensional');
INSERT INTO pvp_lang VALUES('farbe','en','Color','Movie color type, e.g. colored, black-and-white or 3dimensional');
INSERT INTO pvp_lang VALUES('3d','en','3D','Movie color type, e.g. colored, black-and-white or 3dimensional');
INSERT INTO pvp_lang VALUES('edit_entry','en','Edit entry %1','Title displayed on top of the page where you are editing an entry. The placeholder (%1) will be replaced with the MediaNr of the movie edited.');
INSERT INTO pvp_lang VALUES('view_entry','en','View entry %1','Title displayed on top of the page where you are viewing an entry. The placeholder (%1) will be replaced with the MediaNr of the movie displayed.');
INSERT INTO pvp_lang VALUES('add_entry','en','Add entry','Title for the page where you add a new movie to your collection');
INSERT INTO pvp_lang VALUES('unknown','en','unknown','Whenever some detail (e.g. source, sound format) is not set (i.e. you didn\'t provide this information), it is <i>unknown</i> to the system. Should be a short term.');
INSERT INTO pvp_lang VALUES('country','en','Country','Well, something like "Germany" or "USA" - context is mostly the country the movie was produced in');
INSERT INTO pvp_lang VALUES('medianr','en','MediaNr','The Media Number. It consists of the Media Type (e.g. DVD, VCD) and the number (plus optional the movie number on this medium). Each of your media has a unique number to be identified with.');
INSERT INTO pvp_lang VALUES('highest_db_entries','en','highest entries in db','When adding a new movie to your collection, phpVideoPro gives you a hint of the highest Media Numbers in use for each media type, to assist you in your decision what number to give to this entry.');
INSERT INTO pvp_lang VALUES('no','en','No','Opposite of "Yes"');
INSERT INTO pvp_lang VALUES('yes','en','Yes','Opposite of "No"');
INSERT INTO pvp_lang VALUES('medialength','en','MediaLength','The amount of time that fits on a given medium. E.g. video tapes are available with 120 or 240 minutes.');
INSERT INTO pvp_lang VALUES('minute_abbrev','en','min','Abbreviation for the time interval of one minute');
INSERT INTO pvp_lang VALUES('source','en','Source','This is the place where you retrieved you movie from. Could be the shop name or the name of the TV channel. Or of the friend who gave you the copy - oops...');
INSERT INTO pvp_lang VALUES('staff','en','Staff','All the people that worked together to create the movie are called the staff.');
INSERT INTO pvp_lang VALUES('name','en','Name','Well, the name - that means the <i>family name</i> in contrast to the first name.');
INSERT INTO pvp_lang VALUES('first_name','en','First Name','Something like Mike or Peter. Usually goes together with a family name.');
INSERT INTO pvp_lang VALUES('in_list','en','in List','This should be a very short term. It is used as header to the column containing the check-boxes for whether a certain e.g. actor should be included for this movie when creating the actors list.');
INSERT INTO pvp_lang VALUES('comments','en','Comments','Uder-defined comments on a movie. This e.g. is used as headline on the view/edit entry screen.');
INSERT INTO pvp_lang VALUES('cancel','en','Cancel','Button description for aborting an action.');
INSERT INTO pvp_lang VALUES('create','en','Create','Button description to create the information');
INSERT INTO pvp_lang VALUES('update','en','Update','Button description to actually do the update requested');
INSERT INTO pvp_lang VALUES('edit','en','Edit','Button description used e.g. on the view entry page to edit the displayed movie');
INSERT INTO pvp_lang VALUES('delete','en','Delete','Button description used e.g. on the view entry page to delete the displayed movie');
INSERT INTO pvp_lang VALUES('invalid_media_nr','en','The MediaNr you specified is either incomplete or invalid. You must specify a <b>number</b> in <b>both</b> MediaNr fields.','Needs no explanation, does it?');
INSERT INTO pvp_lang VALUES('warning','en','warning','Header displayed for warnings');
INSERT INTO pvp_lang VALUES('of_aquiration','en','of acquisition','As in "Date of acquisition" for "when did you obtain this movie?"');
INSERT INTO pvp_lang VALUES('wrong_date','en','The date %1 you specified (%2) is invalid. When entering a date here, please enter the day into the first, the month into the second and the year into the third date field and only use digits. If you are not sure about the exact date, enter zeros into the fields in question: e.g. "00" "02" "2002" means "eventually in February 2002", or "00" "00" "0000" means "sometimes".','No comment');
INSERT INTO pvp_lang VALUES('incomplete_date','en','If you do not know the exact date, but - for example - only that you acquired it in the year 2000, substitute zeros for the unknown data - in our example the date should look like "00" "00" "2000".','No comment');
INSERT INTO pvp_lang VALUES('dupe_id_entered','en','There is already an entry in the database for the entered media ID. Please hit the "Back" button of your browser and correct your input. Hint: There is a Select-Box next to the input box you specified the media number in. This select box tells you the highest existing movie id. Normally it is a good choice for a new media to increase the first (four-digit) number by one, or for a new movie on the same media, increase the second (two-digit) number by one.','No comment');
INSERT INTO pvp_lang VALUES('create_success','en','Entry created successfully','When you successfully created a new (e.g. movie) entry, this is the status message displayed to you.');
INSERT INTO pvp_lang VALUES('update_failed','en','Failed to update entry','Status message displayed on failure of an update.');
INSERT INTO pvp_lang VALUES('update_success','en','Entry updated successfully','When you successfully changed an entry, this is the status message displayed to you.');
INSERT INTO pvp_lang VALUES('about','en','About','Menu item: display information about phpVideoPro.');
INSERT INTO pvp_lang VALUES('history','en','History','Menu item: display phpVideoPro revision history.');
INSERT INTO pvp_lang VALUES('view','en','View','Button description to view the requested data');
INSERT INTO pvp_lang VALUES('deleting_entry','en','Deleting entry %1','Headline of the page that shows you the progress of a delete action.');
INSERT INTO pvp_lang VALUES('free_space_title','en','Free space on media','Title of the page showing the available free space on your media');
INSERT INTO pvp_lang VALUES('filter','en','Filter','Filters are used to restrict the amount of movies displayed in lists to e.g. only selected categories or actors.');
INSERT INTO pvp_lang VALUES('set_filter','en','Set Filter','Menu item to modify filter settings');
INSERT INTO pvp_lang VALUES('unset_filter','en','UnSet Filter','Menu item to create new filter settings (the existing filter rules will be abandoned first)');
INSERT INTO pvp_lang VALUES('taperest_absolute','en','TapeRest (absolute)','Remaining free space on all your media without considering the filter settings');
INSERT INTO pvp_lang VALUES('taperest_filtered','en','TapeRest (filtered)','Ramaining space on all your media that match the filter settings');
INSERT INTO pvp_lang VALUES('help','en','Help','Menu item for "Help"');
INSERT INTO pvp_lang VALUES('general','en','General','Synonym for "common" - e.g. used on the configuration/preferences page.');
INSERT INTO pvp_lang VALUES('sure_to_delete','en','Are you sure you want to delete all data for %1','Confirmation request to prevent unintended data loss on deletions');
INSERT INTO pvp_lang VALUES('nobody_named','en','There\'s no other movie by a %1 named %2 %3 in this db, so I remove this entry from the %1\'s table.','Progress display on movie deletion (removing orphaned staff member).');
INSERT INTO pvp_lang VALUES('compose_person','en','composer','The one who created the sound track. This seems to be a duplicate for "composer", but it isn\'t really :-)');
INSERT INTO pvp_lang VALUES('director_person','en','director','See director: he supervised the movie\'s creation.');
INSERT INTO pvp_lang VALUES('check_completed','en','Check completed','Final sentence when summing up the progress of an action.');
INSERT INTO pvp_lang VALUES('delete_remaining','en','now deleting remaining data for this movie from db','Progress hint on movie deletion');
INSERT INTO pvp_lang VALUES('ok','en','OK','Okay, allright, oh yeah... Short term to say everything worked out fine (used in progress display).');
INSERT INTO pvp_lang VALUES('not_ok','en','Failed','Short term that marks a failure (used in progress display).');
INSERT INTO pvp_lang VALUES('recalc_free','en','Re-calculating remaining free space on this medium','Progress indicator on movie deletion');
INSERT INTO pvp_lang VALUES('tapelist_update_failed','en','Failed updating tape list','Progress indicator on movie deletion');
INSERT INTO pvp_lang VALUES('no_entry_in_tapelist','en','Failed - no entry found in tape list','Progress display on media/movie deletion (updating the "remaining space" table)');
INSERT INTO pvp_lang VALUES('finnished','en','Finnished','Progress display');
INSERT INTO pvp_lang VALUES('time_left','en','%1 minutes left','How many minutes of free time is remaining on this medium.');
INSERT INTO pvp_lang VALUES('configuration','en','Configuration','Menu item in the Admin menu');
INSERT INTO pvp_lang VALUES('index','en','Index','Synonym for "Table of Contents"');
INSERT INTO pvp_lang VALUES('intro','en','Intro','Headline for an introduction to a topic (used in the help system).');
INSERT INTO pvp_lang VALUES('menues','en','Menus','Headline used for the menus topic in the help system');
INSERT INTO pvp_lang VALUES('back','en','Back','like the Back-Button of your browser: used in the navigation of the help system.');
INSERT INTO pvp_lang VALUES('close','en','Close','Description of the "Close" button in the help system.');
INSERT INTO pvp_lang VALUES('help_about','en','Help about','This term is followed by the recent pages name in the help menu, to directly lead you to the topic-related help page.');
INSERT INTO pvp_lang VALUES('actors_list','en','List of Actors','Title used in the list generator for print-outs');
INSERT INTO pvp_lang VALUES('directors_list','en','List of Directors','Title used in the list generator for print-outs');
INSERT INTO pvp_lang VALUES('music_list','en','List of Composers','Title used in the list generator for print-outs');
INSERT INTO pvp_lang VALUES('no_entries_found','en','No entries found','Used by many list generators and on searches');
INSERT INTO pvp_lang VALUES('no_space_of','en','There was no medium with a minimum of %1 min of free space found in the database.','Negative result when searching for free space (view taperest menu item)');
INSERT INTO pvp_lang VALUES('howto','en','How to...','Title in the help system');
INSERT INTO pvp_lang VALUES('howto_lang','en','How to create a new language file','Title in the help system');
INSERT INTO pvp_lang VALUES('howto_help','en','How to create a help file','Title in the help system');
INSERT INTO pvp_lang VALUES('howto_templates','en','How to create a new template set','Title in the help system');
INSERT INTO pvp_lang VALUES('language_settings','en','Language Settings','Title of the block for the language settings on the configuration/preferences screens');
INSERT INTO pvp_lang VALUES('scan_new_lang_files','en','Scan for new language files?','See configuration screen in the Admin menu');
INSERT INTO pvp_lang VALUES('scan_new_lang_comment','en','(If you created your own language file and put it into the setup directory, this will tell phpVideoPro to look for it)','See configuration screen in the Admin menu');
INSERT INTO pvp_lang VALUES('select_add_lang','en','Select additional language to install','See configuration screen in the Admin menu');
INSERT INTO pvp_lang VALUES('select_add_lang_comment','en','(English is already installed and always will be - see next item. For other languages that are already installed, see next item, too.)','See configuration screen in the Admin menu');
INSERT INTO pvp_lang VALUES('no_add_lang','en','No additional language available.','See configuration screen in the Admin menu');
INSERT INTO pvp_lang VALUES('refresh_lang','en','Refresh language','See configuration screen in the Admin menu');
INSERT INTO pvp_lang VALUES('refresh_lang_comment','en','Re-insert phrases from language file into DB','See configuration screen in the Admin menu');
INSERT INTO pvp_lang VALUES('none','en','None','E.g. as answer to "What additional languages are available"');
INSERT INTO pvp_lang VALUES('select_primary_lang','en','Select primary language','See configuration screen in the Admin menu');
INSERT INTO pvp_lang VALUES('select_primary_lang_comment','en','(for missing phrases, there will always be a fall-back to English)','See configuration screen in the Admin menu');
INSERT INTO pvp_lang VALUES('template_set','en','Template Set','phpVideoPro is based on templates to define its look and feel. This phrase is used on the configuration/preferences screen to prompt for the template set to use.');
INSERT INTO pvp_lang VALUES('start_pvp','en','Start phpVideoPro','Term used by the setup procedure to provide a link to the start page.');
INSERT INTO pvp_lang VALUES('hit_back_to_correct','en','Hit the "Back" button to correct the error.','');
INSERT INTO pvp_lang VALUES('goto_entry','en','Directly go to entry:','See initial page');
INSERT INTO pvp_lang VALUES('start_page','en','Initial page','The default start page of phpVideoPro');
INSERT INTO pvp_lang VALUES('invalid_fsk','en','The value entered for PG ("%1") is invalid. PG means Parental Guide, i.e. the minimum age below that you should give nobody access to this movie.','Error message on user input error while editing a movie entry');
INSERT INTO pvp_lang VALUES('counter_start_stop','en','Counter Start/Stop','Some (old) video recorders have counters instead of real-time display, so one can note the counters at start/end of the movie to find its position. This term is used on the view/edit entry page.');
INSERT INTO pvp_lang VALUES('other_pages','en','Other pages','Term used in the help system to indicate pages that have not been mentioned up to that point.');
INSERT INTO pvp_lang VALUES('commercials','en','Commercials','Whether the (recorded) movie is interrupted by commercial blocks (see view/edit entry page). Should be a short term.');
INSERT INTO pvp_lang VALUES('cut_off','en','cut off','Commercial blocks have been <i>cut off</i> when recording this movie (see view/edit entry). Should be a short term.');
INSERT INTO pvp_lang VALUES('display_limit','en','Display Limit','See configuration/preferences page: limit lists to display to n entries.');
INSERT INTO pvp_lang VALUES('display_limit_comment','en','(how many lines to display per page for lists)','Explanation of an item on the configuration page');
INSERT INTO pvp_lang VALUES('print_label','en','Print Label:','Used as direct link to the old label system to print a label for the displayed movie.');
INSERT INTO pvp_lang VALUES('howto_label','en','How to create/configure label templates','Topic in the help system.');
INSERT INTO pvp_lang VALUES('label','en','Label','You stick them on your tapes.');
INSERT INTO pvp_lang VALUES('print','en','Print','Button description');
INSERT INTO pvp_lang VALUES('medialist_num','en','Medialist in numerical order','Title for the list of media');
INSERT INTO pvp_lang VALUES('medialist_alpha','en','Medialist in alphabetical order','Title for the list of media');
INSERT INTO pvp_lang VALUES('lines_per_page','en','Lines per page','See configuration/preferences page (and description of lines_per_page_comment');
INSERT INTO pvp_lang VALUES('lines_per_page_comment','en','This is for the printing functions to determine how many lines of text fit on one sheet of paper.','Explanation of an item on the configuration page');
INSERT INTO pvp_lang VALUES('date_format','en','Date format','Query for the date format on the configuration/preferences page');
INSERT INTO pvp_lang VALUES('date_format_comment','en','What format to use for date display.','Explanation of an item on the configuration page');
INSERT INTO pvp_lang VALUES('listgen','en','List Generator','Page title for the list generator (for print-outs)');
INSERT INTO pvp_lang VALUES('list','en','List','A list is a collection of entries. This term is used by the list generator.');
INSERT INTO pvp_lang VALUES('format','en','Format','Format e.g. of a label (on label print)');
INSERT INTO pvp_lang VALUES('line_count','en','Lines','as in "this page contains xx <i>lines</i>"');
INSERT INTO pvp_lang VALUES('catlist_alpha','en','Medialist in alphabetical order, sorted by category','Selectbox item on the list generator page');
INSERT INTO pvp_lang VALUES('lists','en','Lists','A menu item in the print menu');
INSERT INTO pvp_lang VALUES('labels','en','Labels','You stick them on your tapes');
INSERT INTO pvp_lang VALUES('cat_adventure','en','Adventure','A category name');
INSERT INTO pvp_lang VALUES('cat_action','en','Action','A category name');
INSERT INTO pvp_lang VALUES('cat_agents','en','Agent','A category name');
INSERT INTO pvp_lang VALUES('cat_bible','en','Bible','A category name');
INSERT INTO pvp_lang VALUES('cat_biography','en','Biography','A category name');
INSERT INTO pvp_lang VALUES('cat_stage','en','Stage','A category name');
INSERT INTO pvp_lang VALUES('cat_documentary','en','Documentation','A category name');
INSERT INTO pvp_lang VALUES('cat_drama','en','Drama','A category name');
INSERT INTO pvp_lang VALUES('cat_fantasy','en','Fantasy','A category name');
INSERT INTO pvp_lang VALUES('cat_party','en','Party','A category name');
INSERT INTO pvp_lang VALUES('cat_scary','en','Scary Movies','A category name');
INSERT INTO pvp_lang VALUES('cat_history','en','History','A category name');
INSERT INTO pvp_lang VALUES('cat_horror','en','Horror','A category name');
INSERT INTO pvp_lang VALUES('cat_judaica','en','Judaica','A category name');
INSERT INTO pvp_lang VALUES('cat_camera','en','Camera','A category name');
INSERT INTO pvp_lang VALUES('cat_catastrophe','en','Catastrophe','A category name');
INSERT INTO pvp_lang VALUES('cat_children','en','Children','A category name');
INSERT INTO pvp_lang VALUES('cat_comedy','en','Comedy','A category name');
INSERT INTO pvp_lang VALUES('cat_concert','en','Concert','A category name');
INSERT INTO pvp_lang VALUES('cat_war','en','War Movies','A category name');
INSERT INTO pvp_lang VALUES('cat_crime','en','Crime','A category name');
INSERT INTO pvp_lang VALUES('cat_love','en','Lovestories','A category name');
INSERT INTO pvp_lang VALUES('cat_fairytale','en','Fairytales','A category name');
INSERT INTO pvp_lang VALUES('cat_melodrama','en','Melodrama','A category name');
INSERT INTO pvp_lang VALUES('cat_monumental','en','Monumental','A category name');
INSERT INTO pvp_lang VALUES('cat_musical','en','Musical','A category name');
INSERT INTO pvp_lang VALUES('cat_music','en','Music','A category name');
INSERT INTO pvp_lang VALUES('cat_videoclip','en','Videoclip','A category name');
INSERT INTO pvp_lang VALUES('cat_musicmovie','en','Music Movies','A category name');
INSERT INTO pvp_lang VALUES('cat_nature','en','Nature','A category name');
INSERT INTO pvp_lang VALUES('cat_opera','en','Opera','A category name');
INSERT INTO pvp_lang VALUES('cat_operetta','en','Operetta','A category name');
INSERT INTO pvp_lang VALUES('cat_problem','en','Problem','A category name');
INSERT INTO pvp_lang VALUES('cat_report','en','Reportage','A category name');
INSERT INTO pvp_lang VALUES('cat_satire','en','Satire','A category name');
INSERT INTO pvp_lang VALUES('cat_misc','en','Miscellaneous','A category name');
INSERT INTO pvp_lang VALUES('cat_sf','en','Science Fiction','A category name');
INSERT INTO pvp_lang VALUES('cat_show','en','Show','A category name');
INSERT INTO pvp_lang VALUES('cat_spy','en','Spy Movies','A category name');
INSERT INTO pvp_lang VALUES('cat_thriller','en','Thriller','A category name');
INSERT INTO pvp_lang VALUES('cat_animal','en','Animal','A category name');
INSERT INTO pvp_lang VALUES('cat_animals','en','Animals','A category name');
INSERT INTO pvp_lang VALUES('cat_travesty','en','Travesty','A category name');
INSERT INTO pvp_lang VALUES('cat_vacation','en','Vacation','A category name');
INSERT INTO pvp_lang VALUES('cat_xmas','en','X-Mas','A category name');
INSERT INTO pvp_lang VALUES('cat_western','en','Western','A category name');
INSERT INTO pvp_lang VALUES('cat_westerncomedy','en','Western-Comedy','A category name');
INSERT INTO pvp_lang VALUES('cat_cartoon','en','Cartoon','A category name');
INSERT INTO pvp_lang VALUES('db_stats','en','Statistics','Page title for the statistics page');
INSERT INTO pvp_lang VALUES('stat_counts','en','Counts','See statistics page (menu "view")');
INSERT INTO pvp_lang VALUES('stat_ranks','en','Ranking','See statistics page (menu "view")');
INSERT INTO pvp_lang VALUES('movies','en','Movies','What\'s it all about');
INSERT INTO pvp_lang VALUES('media','en','Media','Plural for Medium, i.e. a tape, DVD etc.');
INSERT INTO pvp_lang VALUES('compose_persons','en','Composers','The creators of the sound tracks');
INSERT INTO pvp_lang VALUES('director_persons','en','Directors','The supervisors of the movie creation process');
INSERT INTO pvp_lang VALUES('actor_persons','en','Actors','Those who play the game');
INSERT INTO pvp_lang VALUES('categories','en','Categories','A movie can belong to different categories, such as e.g. Adventure or SciFi.');
INSERT INTO pvp_lang VALUES('countries','en','Countries','Well, countries - such as Germany or USA.');
INSERT INTO pvp_lang VALUES('stat_categories','en','Categories (used/all)','Item on the statistics page');
INSERT INTO pvp_lang VALUES('stats','en','Statistics','Title for the statistics page');
INSERT INTO pvp_lang VALUES('dl_pvp_latest','en','D/L latest version','Last item in the Admin menu. If a version newer than the one installed is available, this item will download it.');
INSERT INTO pvp_lang VALUES('info_update','en','Update Information','When you used the item in the Admin menu to d/l the latest version, but you have already the latest version installed, this is the title of the result page displayed to you.');
INSERT INTO pvp_lang VALUES('info_noupdate','en','<DIV ALIGN="center">The installed version of phpVideoPro (%1) is recent - there\'s no newer version available for download. To download the tarball of the installed version, please follow <A HREF="http://projects.izzysoft.de/progs/get_update.php?program=pvp" TARGET="_blank">this link</A>.</DIV>','When you used the item in the Admin menu to d/l the latest version, but you have already the latest version installed, this information will be displayed.');
INSERT INTO pvp_lang VALUES('info_common','en','Common Information','Title of the Info page');
INSERT INTO pvp_lang VALUES('info_common_info','en','<DIV ALIGN="center">This is version %1 of phpVideoPro, running on %2.</DIV>','Used on the info page');
INSERT INTO pvp_lang VALUES('change_nr','en','Change MediaNr/MediaType for %1','Title of the page when editing a media number');
INSERT INTO pvp_lang VALUES('orig_medianr','en','original MediaNr','Input field name on the "change MediaNr" page');
INSERT INTO pvp_lang VALUES('new_medianr','en','new MediaNr','Input field name on the "change MediaNr" page');
INSERT INTO pvp_lang VALUES('media_copy','en','Copy data to MediaNr','Button on the "change MediaNr" page');
INSERT INTO pvp_lang VALUES('media_change','en','Change MediaNr','Page name');
INSERT INTO pvp_lang VALUES('check_media_delete','en','Checking if medium is empty','Hint on deleting a medium (progress report)');
INSERT INTO pvp_lang VALUES('medium_deleted','en','No more movies on this medium - medium removed','Progress information on media deletion');
INSERT INTO pvp_lang VALUES('medium_not_deleted','en','Medium not removed','This is the one of the results displayed when you removed a movie from the database, but the medium it has been on still contains other movies.');
INSERT INTO pvp_lang VALUES('change_media_length','en','Change Media Length','Page title (changing the length of a selected medium, i.e. a tape)');
INSERT INTO pvp_lang VALUES('change_media_length_for','en','Please enter the capacity for %1','If you accidentally entered the wrong length for a medium and you may want to change it (e.g. a video tape can have 120 or 240 minutes length)');
INSERT INTO pvp_lang VALUES('admin_cats','en','Administrate Categories','Item in the Admin menu to edit the Category list (e.g. add new categories, remove/rename existing ones).');
INSERT INTO pvp_lang VALUES('cat_internal_name','en','Handle','Each category has a technical internal name, since translations may change. This is the name the category is referred to by the system itself.');
INSERT INTO pvp_lang VALUES('cat_update_failed','en','Updating failed for the following categories: %1','Warning message on processing error at category management');
INSERT INTO pvp_lang VALUES('cat_trans_update_failed','en','Updating failed for the translations of the following categories: %1','Warning message on processing error at category management');
INSERT INTO pvp_lang VALUES('credits','en','Credits','An item in the help system: on that page all the people get a reward, that helped me in creating phpVideoPro.');
INSERT INTO pvp_lang VALUES('movies_left_in_cat','en','Category <i>%1</i> still contains %2 movie(s) and hence cannot be deleted. What do you want to do:','Error message on the category administration screen (when trying to delete a category that is still in use)');
INSERT INTO pvp_lang VALUES('admin_orphans','en','Removal of orphaned entries','This refers to staff members. They are stored into separate tables which are then references by the main movie table. Orphaned entries are entries in those tables that no longer refer to any movie, so you may want to remove them.');
INSERT INTO pvp_lang VALUES('desc_admin_orphans','en','"Orphaned entries" are data without assignment, i.e. here: Movies without owner - or actors, directors and/or composers to whom is nowhere refered to from any movie. These are mostly results of changing a misspelled name after having it saved - but never results of deleted movie entries. Hence it\'s a good idea to remove those entries: on one hand it saves resources, and on the other it helps to prevent a slow-down of database actions.','Introduction to the "remove orphans" page (see administration menu)');
INSERT INTO pvp_lang VALUES('orphans_found','en','Found %1 orphan(s):','This refers to staff members. They are stored into separate tables which are then references by the main movie table. Orphaned entries are entries in those tables that no longer refer to any movie, so you may want to remove them.');
INSERT INTO pvp_lang VALUES('no_orphans_found','en','Congratulations! You seem to have no skeletons in your closet (any more?).','Result of the check fpr orphaned entries');
INSERT INTO pvp_lang VALUES('delete_orphans','en','Deleting %1 orphan(s):','This refers to staff members. They are stored into separate tables which are then references by the main movie table. Orphaned entries are entries in those tables that no longer refer to any movie, so you may want to remove them.');
INSERT INTO pvp_lang VALUES('backup_db','en','Database Backup','Item in the admin menu to backup your database');
INSERT INTO pvp_lang VALUES('desc_backup_db','en','It\'s always a good idea to have a backup at hand. While it is preferable to use your databases own tools (<code>mysql_dump</code>, <code>pgsql_dump</code> etc.) for a complete backup, you may have your database hosted on a machine you have no shell access to - in this case, use the \"Complete Backup\" here, which saves your entire database into a SQL script.<BR>If you just want to save your movie data, e.g. to duplicate them into another database, you should backup all your movies using the internal format of phpVideoPro itself: this way you can even migrate between different database types, e.g. MySQL and PostgreSQL. While restoring the complete backup of a previous phpVideoPro version to a newer one results in the need of updating the database afterwards (as if you just updated phpVideoPro), the internal PVP backup should be compatible between the versions (future will show ;)<BR>You may want to compress your backup: if your installation of PHP is compiled with gzip support, just check the compression box and save up to 90% of the file size.<BR>','Introductional text on the backup page');
INSERT INTO pvp_lang VALUES('admin','en','Admin','Name of the Admin menu (that is displayed in the menu)');
INSERT INTO pvp_lang VALUES('dupes','en','Duplicate entries','Movies that appear to be recorded into your collection more than once - you may have multiple copies then.');
INSERT INTO pvp_lang VALUES('dupe_titles_found','en','Found %1 titles with possible duplicates:','Result on the dupe search');
INSERT INTO pvp_lang VALUES('rw_media','en','Editable Media','See configuration page: some media are not recordable (or you do not want to record on them, such as original (bought) video tapes), others are... See rw_media_comment.');
INSERT INTO pvp_lang VALUES('rw_media_comment','en','Media to maintain free space for (since you record on them).','Explanation of an item on the configuration page');
INSERT INTO pvp_lang VALUES('remove_empty_media','en','Remove empty media','See remove_empty_media_comment');
INSERT INTO pvp_lang VALUES('remove_empty_media_comment','en','Should media be removed from the free-space-maintenance, when the last movie is deleted from them?','Explanation of an item on the configuration page');
INSERT INTO pvp_lang VALUES('movie_tone_default','en','Default sound format of a movie','Item on the configuration page');
INSERT INTO pvp_lang VALUES('movie_tone_default_comment','en','This will be used as pre-set sound format of a new entry.','Explanation of an item on the configuration page');
INSERT INTO pvp_lang VALUES('movie_color_default','en','Default color format of a movie','Item on the configuration page');
INSERT INTO pvp_lang VALUES('movie_color_default_comment','en','This will be used as pre-set color format of a new entry.','Explanation of an item on the configuration page');
INSERT INTO pvp_lang VALUES('site_info','en','Site Info','Item on the configuration screen (see site_info_comment)');
INSERT INTO pvp_lang VALUES('site_info_comment','en','What site info to display in the browsers title bar','Explanation of an item on the configuration page');
INSERT INTO pvp_lang VALUES('movie_onlabel_default','en','Default for label info','See movie_onlabel_default_comment');
INSERT INTO pvp_lang VALUES('movie_onlabel_default_comment','en','Default for new entries: should information for this movie be included when label(s) for this medium are generated?','Explanation of an item on the configuration page');
INSERT INTO pvp_lang VALUES('config_media','en','Movies and Media','Name of a block on the configuration/preferences page.');
INSERT INTO pvp_lang VALUES('cookies','en','Cookies','Name of a block on the configuration/preferences page. It refers to the technical cookies that store information in your local browsers environment.');
INSERT INTO pvp_lang VALUES('enable_cookies','en','Enable cookies?','Name of a block on the configuration/preferences page. See enable_cookies_comment.');
INSERT INTO pvp_lang VALUES('enable_cookies_comment','en','Should user preferences (e.g. filter settings) be managed via cookies?','Explanation of an item on the configuration page');
INSERT INTO pvp_lang VALUES('expire_cookies','en','Cookies lifetime','Name of a block on the configuration/preferences page. See expire_cookies_comment.');
INSERT INTO pvp_lang VALUES('expire_cookies_comment','en','How long should a cookie survive in the user\'s browser?','Explanation of an item on the configuration page');
INSERT INTO pvp_lang VALUES('session','en','Session','Refers to the users session in phpVideoPro');
INSERT INTO pvp_lang VALUES('day','en','Day','A day has 24 hours - at least on earth...');
INSERT INTO pvp_lang VALUES('week','en','Week','Consists of 7 days...');
INSERT INTO pvp_lang VALUES('month','en','Month','12 month make up a year...');
INSERT INTO pvp_lang VALUES('preferences','en','Preferences','Menu item that leads to the preferences page.');
INSERT INTO pvp_lang VALUES('admin_filter','en','Default filter settings','Item in the admin menu. For a description of filters, see the corresponding item (or the help system).');
INSERT INTO pvp_lang VALUES('admin_users','en','Manage user accounts','Item in the admin menu');
INSERT INTO pvp_lang VALUES('user','en','User','That is someone who uses phpVideoPro');
INSERT INTO pvp_lang VALUES('login','en','Login','In order to use phpVideoPro, you need a login and a password. Should be a short term.');
INSERT INTO pvp_lang VALUES('data_access','en','Data Access','Users privilege to access data - this is the table column name.');
INSERT INTO pvp_lang VALUES('read_access','en','May browse entries','Users privilege');
INSERT INTO pvp_lang VALUES('read_access_short','en','rd','Users privilege - abbreviation (max. 3 letters!)');
INSERT INTO pvp_lang VALUES('add_access','en','May add new entries','Users privilege');
INSERT INTO pvp_lang VALUES('add_access_short','en','add','Users privilege - abbreviation (max. 3 letters!)');
INSERT INTO pvp_lang VALUES('upd_access','en','May update existing entries','Users privilege');
INSERT INTO pvp_lang VALUES('upd_access_short','en','upd','Users privilege - abbreviation (max. 3 letters!)');
INSERT INTO pvp_lang VALUES('del_access','en','May delete entries','Users privilege');
INSERT INTO pvp_lang VALUES('del_access_short','en','del','Users privilege - abbreviation (max. 3 letters!)');
INSERT INTO pvp_lang VALUES('admin_access','en','May access administrator menues','Users privilege');
INSERT INTO pvp_lang VALUES('admin_access_short','en','adm','Users privilege - abbreviation (max. 3 letters!)');
INSERT INTO pvp_lang VALUES('add_user','en','Add User','Button description to add a new user to phpVideoPro');
INSERT INTO pvp_lang VALUES('actions','en','Actions','Column name for e.g. user management. Actions are e.g. Edit and Delete.');
INSERT INTO pvp_lang VALUES('user_update_failed','en','Updating failed for the following users: %1','Negative result on the user administration page');
INSERT INTO pvp_lang VALUES('password','en','Password','A login is not enough - you need a password to be verified.');
INSERT INTO pvp_lang VALUES('password_retype','en','Retype Password','Password confirmation request on the "edit users" page');
INSERT INTO pvp_lang VALUES('admin_useredit','en','Edit user account','Page title when editing a user account');
INSERT INTO pvp_lang VALUES('confirm_userdelete','en','You are about to delete user #%1','Page title');
INSERT INTO pvp_lang VALUES('confirm_userdeletion','en','You are about to delete user "%1" (%2). What shall be done with the users media?','Confirmation request on data deletion (ask action for his data)');
INSERT INTO pvp_lang VALUES('user_delete_report','en','Results of user deletion process','Page title of the progress report');
INSERT INTO pvp_lang VALUES('user_deleted','en','Successfully deleted user #%1, "%2" (%3)','The place holders stand for the userID (%1), the login (%2) and the optional comment you assigned to the user (%3).');
INSERT INTO pvp_lang VALUES('user_delete_failed','en','Deletion of user #%1, "%2" (%3) failed','The place holders stand for the userID (%1), the login (%2) and the optional comment you assigned to the user (%3).');
INSERT INTO pvp_lang VALUES('submit','en','Submit','The most common button when using forms');
INSERT INTO pvp_lang VALUES('welcome','en','Welcome to phpVideoPro','');
INSERT INTO pvp_lang VALUES('login_failed','en','Your LogIn failed. Either you misspelled your password, or the requested account does not exist.','');
INSERT INTO pvp_lang VALUES('login_required','en','Your privileges are not sufficient for the requested action. You may login with an appropriate account now.<P />','When calling a function where the permissions of the used login are not sufficient (e.g. logged in as guest and trying to delete a movie), you will be brought to the login screen and this message is displayed.');
INSERT INTO pvp_lang VALUES('logout_user','en','Logged in as "%1". <A HREF="%2">Log out</A>','Used with the "Default" template set on the initial page to inform about the logged-in user and give the possibility to logg off');
INSERT INTO pvp_lang VALUES('never','en','never','at no time, never ever.');
INSERT INTO pvp_lang VALUES('hour','en','Hour','An hour has 60 minutes');
INSERT INTO pvp_lang VALUES('hours','en','Hours','More than one hour?');
INSERT INTO pvp_lang VALUES('session_purgetime','en','After what time time-out an inactive session?','Idle sessions can be "dropped" by phpVideoPro - a useful feature for security reasons. This is the option on the configuration screen,');
INSERT INTO pvp_lang VALUES('session_purgetime_comment','en','How long shall a session stay valid without user activity?','Explanation of an item on the configuration page');
INSERT INTO pvp_lang VALUES('max_fontsize','en','Max Fontsize','With the new (PS) label system, you may define the maximum font size to use on the labels.');
INSERT INTO pvp_lang VALUES('labeltype','en','Label Type','Used with the new (PS) label system. Label types are e.g. Top- and Side labels (refering to the place they belong to on your tape)');
INSERT INTO pvp_lang VALUES('layout_label','en','Chose Layout','Templates are used to define the general look of your labels.');
INSERT INTO pvp_lang VALUES('printer','en','Printer','That\'s a device you use to print your information on paper.');
INSERT INTO pvp_lang VALUES('printer_comment','en','If you want to print on forms (as used for the PS Labels), we need the exact offsets of your printer.','Explanation of an item on the configuration page');
INSERT INTO pvp_lang VALUES('session_expired','en','Your session has expired - please log in again.','phpVideoPro can be configured to time out idle sessions. In this case the user is redirected to the login screen on the next action, and this message is displayed.');
INSERT INTO pvp_lang VALUES('pslabel','en','PS Label','The new label system uses PostScript - so it is called "PS Label".');
INSERT INTO pvp_lang VALUES('search','en','Search','Button description');
INSERT INTO pvp_lang VALUES('search_movie','en','MovieSearch','A menu item that lets you search through your records.');
INSERT INTO pvp_lang VALUES('backup_db_complete','en','Backup the complete Database (incl. technical data and preferences)','Selection on the Backup page');
INSERT INTO pvp_lang VALUES('trans_code','en','Translation Code','Oh well - you can see it on this page. It is the name of the column containing the cryptic codes :)');
INSERT INTO pvp_lang VALUES('orig_trans','en','Original translation (%1)','See it on this page: it is the name of the column containing the probably English phrases.');
INSERT INTO pvp_lang VALUES('target_trans','en','Translation for your target language (%1)','See it on this page: it is the name of the column where you are editing right now.');
INSERT INTO pvp_lang VALUES('save_lang_file','en','Save target translations to file','See the link in the lower left corner of this page - it is to save your work to a file in order to give it to me!');
INSERT INTO pvp_lang VALUES('admin_translations','en','Edit Translations','The name of the menu item that lead you here.');
INSERT INTO pvp_lang VALUES('sel_target_lang','en','Select target language (to translate to):','Request on the translation administration to select the language to edit');
INSERT INTO pvp_lang VALUES('medium_overview','en','Overview for %1','Page title when viewing the contents of a medium, i.e. when you omitted the second field on the initial page and submitted the form.');
INSERT INTO pvp_lang VALUES('is_rw','en','rewritable','Column name at media administration: marks the column with the checkboxes whether this is a read-only medium or not.');
INSERT INTO pvp_lang VALUES('techdata','en','Technical Data','Column name on overview for one medium: technical data refer to e.g. length and whether this is a rewritable medium.');
INSERT INTO pvp_lang VALUES('admin_printers','en','Edit printers','Item in the admin menu');
INSERT INTO pvp_lang VALUES('printer_name','en','Name','You can name your printers as you like ;)');
INSERT INTO pvp_lang VALUES('unit','en','Unit','Refers to "unit of measurement", e.g. inch, millimeter.');
INSERT INTO pvp_lang VALUES('top_offset','en','Top Offset','The offsets describe the "borders" your printer cannot print on');
INSERT INTO pvp_lang VALUES('left_offset','en','Left Offset','The offsets describe the "borders" your printer cannot print on');
INSERT INTO pvp_lang VALUES('printer_upd_failed','en','Update failed for the following printers: %1','Error message on printer administration');
INSERT INTO pvp_lang VALUES('printer_add_failed','en','An error occurred adding this printer.','Error message on printer administration');
INSERT INTO pvp_lang VALUES('printer_add_success','en','Printer successfully added.','Success message on printer administration');
INSERT INTO pvp_lang VALUES('admin_pstemplates','en','Edit PSLabel Templates','Item in the admin menu');
INSERT INTO pvp_lang VALUES('pstpl_name','en','Template Name','Used with the PS Templates administration');
INSERT INTO pvp_lang VALUES('pstpl_type','en','Template Type','Used with the PS Templates administration');
INSERT INTO pvp_lang VALUES('graphic_file','en','Image File','Image refers to a graphics file to use');
INSERT INTO pvp_lang VALUES('template_file','en','Template File','Used with the Templates administration');
INSERT INTO pvp_lang VALUES('lower_left_corner','en','Lower Left Corner (x/y)','Request to enter a position');
INSERT INTO pvp_lang VALUES('upper_right_corner','en','Upper Right Corner (x/y)','Request to enter a position');
INSERT INTO pvp_lang VALUES('admin_sessions','en','Manage sessions','Item in the admin menu');
INSERT INTO pvp_lang VALUES('sess_id','en','Session ID','For the session management: the session identifier. Each time you log in to phpVideoPro by entering your login/password, a new session is created.');
INSERT INTO pvp_lang VALUES('sess_ip','en','Remote IP','The remote IP address is stored on a login together with the session data. This is to prevent others to abuse your session - this way they had to use your local computer.');
INSERT INTO pvp_lang VALUES('sess_start','en','Started','Column name for the session start time');
INSERT INTO pvp_lang VALUES('sess_dla','en','Last accessed','Column name for the time of last activity for the session');
INSERT INTO pvp_lang VALUES('sess_end','en','Ended','Column name for the session end (i.e. when someone logs off).');
INSERT INTO pvp_lang VALUES('old_sessions','en','Sessions older than <INPUT NAME="%1" VALUE="" CLASS="yesnoinput"> days','This is an input field to select specific sessions');
INSERT INTO pvp_lang VALUES('ended_sessions','en','Ended Sessions','Description for selecting all sessions that are logged off.');
INSERT INTO pvp_lang VALUES('new_movie_on','en','New %1','See edit menu: you may want to add a new movie to your collection. %1 is replaced by the media type.');
INSERT INTO pvp_lang VALUES('last_entry','en','Last entry','When you decided to add a new movie via the edit menu, phpVideoPro tells you the highest number assigned with that media type to assist you in finding a reasonable number for the new entry.');
INSERT INTO pvp_lang VALUES('disk_type','en','Disk Type','This term is used e.g. with DVDs, to give a more precise information whether it is e.g. a DVD-5 or DVD-9, or even a DVD-RW');
INSERT INTO pvp_lang VALUES('change_disktype','en','Change Disk Type for %1','Page title');
INSERT INTO pvp_lang VALUES('orig_disktype','en','Original Disk Type','Option name on the "Change disktype" page');
INSERT INTO pvp_lang VALUES('new_disktype','en','New Disk Type','Option name on the "Change disktype" page');
INSERT INTO pvp_lang VALUES('disktype_change','en','Change Disk Type','Page name');
INSERT INTO pvp_lang VALUES('region_code','en','RegionCode','Region codes are used with DVDs to prevent us from bying and viewing movies at home before paying the cinema...');
INSERT INTO pvp_lang VALUES('change_rc','en','Change RegionCode','Page name');
INSERT INTO pvp_lang VALUES('change_rc_for','en','Change RegionCode for %1','Page title');
INSERT INTO pvp_lang VALUES('enter_new_medianr','en','Please enter the MediaNr for this new %1','Message box querying the media number for a new entry');
INSERT INTO pvp_lang VALUES('last_medianr','en','The highest number for this media type is presently:','Hint on the message box asking for the MediaNr for a new entry');
INSERT INTO pvp_lang VALUES('admin_disktypes','en','Edit Disk Types','Item in the admin menu');
INSERT INTO pvp_lang VALUES('disk_size','en','Disk Size','refers to the capacity of CDs/DVD-Rs, this time not in minutes but in MB/GB.');
INSERT INTO pvp_lang VALUES('disktype_add_failed','en','Sorry, I could not add the new disk type.','Warning displayed for an processing error on disktype administration');
INSERT INTO pvp_lang VALUES('disktype_update_failed','en','Sorry, I could not update following disk type #s: %1','Warning displayed for an processing error on disktype administration');
INSERT INTO pvp_lang VALUES('admin_movietech','en','Edit Movie technical data','Menu item');
INSERT INTO pvp_lang VALUES('confirm_delete','en','Do you really want to delete this record?','Confirmation request on data deletion (to avoid accidental deletion)');
INSERT INTO pvp_lang VALUES('movies_left_reference','en','This entry cannot be deleted: There are %1 movie(s) in DB referencing it.','Used with the administration of movie technical data, e.g. when trying to remove the "stereo" tone format while at least one movie in the db uses it.');
INSERT INTO pvp_lang VALUES('cat_handle_empty','en','The handle for a category must not be empty. Please go back and fix this for category #%1.','Warning message on input error at category management');
INSERT INTO pvp_lang VALUES('disktype_name_empty','en','The name for a disk type must not be empty. Please go back and fix this for disk type #%1.','Warning displayed for an input error on disktype administration');
INSERT INTO pvp_lang VALUES('delete_lang','en','Delete language','You may decide to remove translations for a given language from your DB. This is the name of the corresponding item on the configuration page.');
INSERT INTO pvp_lang VALUES('delete_lang_comment','en','Delete all phrases of the specified language from db. This will not delete the language file, so you can re-insert phrases later (if you do not delete the file yourself).','Explanation of an item on the configuration page');
INSERT INTO pvp_lang VALUES('disktype_contains_media','en','This disktype cannot be deleted at the moment, since the following media are still referring to it:','Warning displayed when trying to remove a media type that is still in use (see admin menu: movie technical data)');
INSERT INTO pvp_lang VALUES('reset','en','Reset','Button description');
INSERT INTO pvp_lang VALUES('confirm_prilang','en','Do you really want to change the default primary language for ALL (new) users?','Confirmation on changing the primary language in the admin-&gt;configuration menu');
INSERT INTO pvp_lang VALUES('backup_db_movie_internal','en','Backup all movies using the phpVideoPro internal format','');
INSERT INTO pvp_lang VALUES('backup_compress','en','Enable compression?','Backup page: whether to compress the backup data');
INSERT INTO pvp_lang VALUES('invalid_backup_dir','en','The configured Backup directory does not exist.','Hint displayed when trying to restore data from a file (this file has to be placed in the Backup directory for restore)');
INSERT INTO pvp_lang VALUES('button_backup','en','Backup','Button description to start the Backup');
INSERT INTO pvp_lang VALUES('button_restore','en','Restore','Button description for restore start');
INSERT INTO pvp_lang VALUES('no_backup_avail','en','No Backup file available to restore from.','Hint on the Backup/Restore page');
INSERT INTO pvp_lang VALUES('no_restore_file','en','Sorry: the selected file does no longer exist!','Hint on the Backup/Restore page');
INSERT INTO pvp_lang VALUES('imp_errors','en','Import of %2 records finnished with %1 errors.','Result message after import');
INSERT INTO pvp_lang VALUES('imp_success','en','Import of %1 records successfully completed.','Result message after import');
INSERT INTO pvp_lang VALUES('backup_file_corrupt','en','The selected Backup-File is corrupt - cannot restore from this!','Hint on backup/restore page');
INSERT INTO pvp_lang VALUES('clean_restore','en','CleanUp (remove) old data before restore','Selection on backup/restore page');
INSERT INTO pvp_lang VALUES('taperest','en','Manage remaining time','Page title when searching for free space on media');
INSERT INTO pvp_lang VALUES('tplset_applicat','en','Applicat Template Set','Name of the <I>Applicat</I> template set for the page title');
INSERT INTO pvp_lang VALUES('not_logged_in','en','not logged in','String to display instead of the user name when not logged in');
INSERT INTO pvp_lang VALUES('imdb_url','en','IMDB Site to use','String to display for the IMDB selection on the configuration page');
INSERT INTO pvp_lang VALUES('imdb_url_comment','en','The Internet Movie DataBase provides information on many movies. There are localized sites available: the German site e.g. allows searches for German movie names, while the US site is searchable for the English names. Select a site that matches best with the titles of the movies in your database.','String to display as explanation for the IMDB selection on the configuration page');
INSERT INTO pvp_lang VALUES('audio_ts','en','Audio','Available audio language for the movie');
INSERT INTO pvp_lang VALUES('subtitle','en','Subtitle','Available subtitle language for the movie');
INSERT INTO pvp_lang VALUES ('lang_aa','en','Afar','language name');
INSERT INTO pvp_lang VALUES ('lang_ab','en','Abkhazian','language name');
INSERT INTO pvp_lang VALUES ('lang_af','en','Afrikaans','language name');
INSERT INTO pvp_lang VALUES ('lang_am','en','Amharic','language name');
INSERT INTO pvp_lang VALUES ('lang_an','en','Aragonese','language name');
INSERT INTO pvp_lang VALUES ('lang_ar','en','Arabic','language name');
INSERT INTO pvp_lang VALUES ('lang_as','en','Assamese','language name');
INSERT INTO pvp_lang VALUES ('lang_ay','en','Aymara','language name');
INSERT INTO pvp_lang VALUES ('lang_az','en','Azerbaijani','language name');
INSERT INTO pvp_lang VALUES ('lang_ba','en','Bashkir','language name');
INSERT INTO pvp_lang VALUES ('lang_be','en','Byelorussian','language name');
INSERT INTO pvp_lang VALUES ('lang_bg','en','Bulgarian','language name');
INSERT INTO pvp_lang VALUES ('lang_bh','en','Bihari','language name');
INSERT INTO pvp_lang VALUES ('lang_bi','en','Bislama','language name');
INSERT INTO pvp_lang VALUES ('lang_bn','en','Bengali','language name');
INSERT INTO pvp_lang VALUES ('lang_bo','en','Tibetan','language name');
INSERT INTO pvp_lang VALUES ('lang_br','en','Breton','language name');
INSERT INTO pvp_lang VALUES ('lang_bs','en','Bosnian','language name');
INSERT INTO pvp_lang VALUES ('lang_ca','en','Catalan','language name');
INSERT INTO pvp_lang VALUES ('lang_ce','en','Chechen','language name');
INSERT INTO pvp_lang VALUES ('lang_ch','en','Chamorro','language name');
INSERT INTO pvp_lang VALUES ('lang_co','en','Corsican','language name');
INSERT INTO pvp_lang VALUES ('lang_cr','en','Cree','language name');
INSERT INTO pvp_lang VALUES ('lang_cs','en','Czech','language name');
INSERT INTO pvp_lang VALUES ('lang_cv','en','Chuvash','language name');
INSERT INTO pvp_lang VALUES ('lang_cy','en','Welsh','language name');
INSERT INTO pvp_lang VALUES ('lang_da','en','Danish','language name');
INSERT INTO pvp_lang VALUES ('lang_de','en','German','language name');
INSERT INTO pvp_lang VALUES ('lang_dv','en','Divehi','language name');
INSERT INTO pvp_lang VALUES ('lang_dz','en','Bhutani','language name');
INSERT INTO pvp_lang VALUES ('lang_el','en','Greek','language name');
INSERT INTO pvp_lang VALUES ('lang_en','en','English','language name');
INSERT INTO pvp_lang VALUES ('lang_eo','en','Esperanto','language name');
INSERT INTO pvp_lang VALUES ('lang_es','en','Spanish','language name');
INSERT INTO pvp_lang VALUES ('lang_et','en','Estonian','language name');
INSERT INTO pvp_lang VALUES ('lang_eu','en','Basque','language name');
INSERT INTO pvp_lang VALUES ('lang_fa','en','Persian','language name');
INSERT INTO pvp_lang VALUES ('lang_ff','en','Fulah','language name');
INSERT INTO pvp_lang VALUES ('lang_fi','en','Finnish','language name');
INSERT INTO pvp_lang VALUES ('lang_fj','en','Fiji','language name');
INSERT INTO pvp_lang VALUES ('lang_fo','en','Faeroese','language name');
INSERT INTO pvp_lang VALUES ('lang_fr','en','French','language name');
INSERT INTO pvp_lang VALUES ('lang_fy','en','Frisian','language name');
INSERT INTO pvp_lang VALUES ('lang_ga','en','Irish','language name');
INSERT INTO pvp_lang VALUES ('lang_gd','en','Gaelic','language name');
INSERT INTO pvp_lang VALUES ('lang_gl','en','Galician','language name');
INSERT INTO pvp_lang VALUES ('lang_gn','en','Guarani','language name');
INSERT INTO pvp_lang VALUES ('lang_gu','en','Gujarati','language name');
INSERT INTO pvp_lang VALUES ('lang_gv','en','Manx','language name');
INSERT INTO pvp_lang VALUES ('lang_ha','en','Hausa','language name');
INSERT INTO pvp_lang VALUES ('lang_hi','en','Hindi','language name');
INSERT INTO pvp_lang VALUES ('lang_ho','en','Hiri Motu','language name');
INSERT INTO pvp_lang VALUES ('lang_hr','en','Croatian','language name');
INSERT INTO pvp_lang VALUES ('lang_hu','en','Hungarian','language name');
INSERT INTO pvp_lang VALUES ('lang_hy','en','Armenian','language name');
INSERT INTO pvp_lang VALUES ('lang_hz','en','Herero','language name');
INSERT INTO pvp_lang VALUES ('lang_ia','en','Interlingua','language name');
INSERT INTO pvp_lang VALUES ('lang_ie','en','Interlingue','language name');
INSERT INTO pvp_lang VALUES ('lang_ig','en','Igbo','language name');
INSERT INTO pvp_lang VALUES ('lang_ik','en','Inupiak','language name');
INSERT INTO pvp_lang VALUES ('lang_in','en','Indonesian','language name');
INSERT INTO pvp_lang VALUES ('lang_io','en','Ido','language name');
INSERT INTO pvp_lang VALUES ('lang_is','en','Icelandic','language name');
INSERT INTO pvp_lang VALUES ('lang_it','en','Italian','language name');
INSERT INTO pvp_lang VALUES ('lang_iu','en','Inuktitut','language name');
INSERT INTO pvp_lang VALUES ('lang_iw','en','Hebrew','language name');
INSERT INTO pvp_lang VALUES ('lang_ja','en','Japanese','language name');
INSERT INTO pvp_lang VALUES ('lang_ji','en','Yiddish','language name');
INSERT INTO pvp_lang VALUES ('lang_jw','en','Javanese','language name');
INSERT INTO pvp_lang VALUES ('lang_ka','en','Georgian','language name');
INSERT INTO pvp_lang VALUES ('lang_kk','en','Kazakh','language name');
INSERT INTO pvp_lang VALUES ('lang_kl','en','Greenlandic','language name');
INSERT INTO pvp_lang VALUES ('lang_km','en','Cambodian','language name');
INSERT INTO pvp_lang VALUES ('lang_kn','en','Kannada','language name');
INSERT INTO pvp_lang VALUES ('lang_ko','en','Korean','language name');
INSERT INTO pvp_lang VALUES ('lang_ks','en','Kashmiri','language name');
INSERT INTO pvp_lang VALUES ('lang_ku','en','Kurdish','language name');
INSERT INTO pvp_lang VALUES ('lang_kw','en','Cornish','language name');
INSERT INTO pvp_lang VALUES ('lang_ky','en','Kirghiz','language name');
INSERT INTO pvp_lang VALUES ('lang_la','en','Latin','language name');
INSERT INTO pvp_lang VALUES ('lang_lb','en','Luxembourgish','language name');
INSERT INTO pvp_lang VALUES ('lang_lg','en','Ganda','language name');
INSERT INTO pvp_lang VALUES ('lang_li','en','Limburgian','language name');
INSERT INTO pvp_lang VALUES ('lang_ln','en','Lingala','language name');
INSERT INTO pvp_lang VALUES ('lang_lo','en','Laothian','language name');
INSERT INTO pvp_lang VALUES ('lang_lt','en','Lithuanian','language name');
INSERT INTO pvp_lang VALUES ('lang_lv','en','Latvian','language name');
INSERT INTO pvp_lang VALUES ('lang_mg','en','Malagasy','language name');
INSERT INTO pvp_lang VALUES ('lang_mh','en','Marshallese','language name');
INSERT INTO pvp_lang VALUES ('lang_mi','en','Maori','language name');
INSERT INTO pvp_lang VALUES ('lang_mk','en','Macedonian','language name');
INSERT INTO pvp_lang VALUES ('lang_ml','en','Malayalam','language name');
INSERT INTO pvp_lang VALUES ('lang_mn','en','Mongolian','language name');
INSERT INTO pvp_lang VALUES ('lang_mo','en','Moldavian','language name');
INSERT INTO pvp_lang VALUES ('lang_mr','en','Marathi','language name');
INSERT INTO pvp_lang VALUES ('lang_ms','en','Malay','language name');
INSERT INTO pvp_lang VALUES ('lang_mt','en','Maltese','language name');
INSERT INTO pvp_lang VALUES ('lang_my','en','Burmese','language name');
INSERT INTO pvp_lang VALUES ('lang_na','en','Nauru','language name');
INSERT INTO pvp_lang VALUES ('lang_ne','en','Nepali','language name');
INSERT INTO pvp_lang VALUES ('lang_nl','en','Dutch','language name');
INSERT INTO pvp_lang VALUES ('lang_no','en','Norwegian','language name');
INSERT INTO pvp_lang VALUES ('lang_nv','en','Navajo','language name');
INSERT INTO pvp_lang VALUES ('lang_oc','en','Occitan','language name');
INSERT INTO pvp_lang VALUES ('lang_om','en','Oromo','language name');
INSERT INTO pvp_lang VALUES ('lang_or','en','Oriya','language name');
INSERT INTO pvp_lang VALUES ('lang_pa','en','Punjabi','language name');
INSERT INTO pvp_lang VALUES ('lang_pi','en','Pali','language name');
INSERT INTO pvp_lang VALUES ('lang_pl','en','Polish','language name');
INSERT INTO pvp_lang VALUES ('lang_ps','en','Pashto','language name');
INSERT INTO pvp_lang VALUES ('lang_pt','en','Portuguese','language name');
INSERT INTO pvp_lang VALUES ('lang_qu','en','Quechua','language name');
INSERT INTO pvp_lang VALUES ('lang_rm','en','Rhaeto-Romance','language name');
INSERT INTO pvp_lang VALUES ('lang_rn','en','Kirundi','language name');
INSERT INTO pvp_lang VALUES ('lang_ro','en','Romanian','language name');
INSERT INTO pvp_lang VALUES ('lang_ru','en','Russian','language name');
INSERT INTO pvp_lang VALUES ('lang_rw','en','Kinyarwanda','language name');
INSERT INTO pvp_lang VALUES ('lang_sa','en','Sanskrit','language name');
INSERT INTO pvp_lang VALUES ('lang_sc','en','Sardinian','language name');
INSERT INTO pvp_lang VALUES ('lang_sd','en','Sindhi','language name');
INSERT INTO pvp_lang VALUES ('lang_se','en','Sami','language name');
INSERT INTO pvp_lang VALUES ('lang_sg','en','Sangro','language name');
INSERT INTO pvp_lang VALUES ('lang_sh','en','Serbo-Croatian','language name');
INSERT INTO pvp_lang VALUES ('lang_si','en','Singhalese','language name');
INSERT INTO pvp_lang VALUES ('lang_sk','en','Slovak','language name');
INSERT INTO pvp_lang VALUES ('lang_sl','en','Slovenian','language name');
INSERT INTO pvp_lang VALUES ('lang_sm','en','Samoan','language name');
INSERT INTO pvp_lang VALUES ('lang_sn','en','Shona','language name');
INSERT INTO pvp_lang VALUES ('lang_so','en','Somali','language name');
INSERT INTO pvp_lang VALUES ('lang_sq','en','Albanian','language name');
INSERT INTO pvp_lang VALUES ('lang_sr','en','Serbian','language name');
INSERT INTO pvp_lang VALUES ('lang_ss','en','Siswati','language name');
INSERT INTO pvp_lang VALUES ('lang_st','en','Sesotho','language name');
INSERT INTO pvp_lang VALUES ('lang_su','en','Sudanese','language name');
INSERT INTO pvp_lang VALUES ('lang_sv','en','Swedish','language name');
INSERT INTO pvp_lang VALUES ('lang_sw','en','Swahili','language name');
INSERT INTO pvp_lang VALUES ('lang_ta','en','Tamil','language name');
INSERT INTO pvp_lang VALUES ('lang_te','en','Tegulu','language name');
INSERT INTO pvp_lang VALUES ('lang_tg','en','Tajik','language name');
INSERT INTO pvp_lang VALUES ('lang_th','en','Thai','language name');
INSERT INTO pvp_lang VALUES ('lang_ti','en','Tigrinya','language name');
INSERT INTO pvp_lang VALUES ('lang_tk','en','Turkmen','language name');
INSERT INTO pvp_lang VALUES ('lang_tl','en','Tagalog','language name');
INSERT INTO pvp_lang VALUES ('lang_tn','en','Setswana','language name');
INSERT INTO pvp_lang VALUES ('lang_to','en','Tonga','language name');
INSERT INTO pvp_lang VALUES ('lang_tr','en','Turkish','language name');
INSERT INTO pvp_lang VALUES ('lang_ts','en','Tsonga','language name');
INSERT INTO pvp_lang VALUES ('lang_tt','en','Tatar','language name');
INSERT INTO pvp_lang VALUES ('lang_tw','en','Twi','language name');
INSERT INTO pvp_lang VALUES ('lang_ty','en','Tahitian','language name');
INSERT INTO pvp_lang VALUES ('lang_uk','en','Ukrainian','language name');
INSERT INTO pvp_lang VALUES ('lang_ur','en','Urdu','language name');
INSERT INTO pvp_lang VALUES ('lang_uz','en','Uzbek','language name');
INSERT INTO pvp_lang VALUES ('lang_vi','en','Vietnamese','language name');
INSERT INTO pvp_lang VALUES ('lang_vo','en','Volapuk','language name');
INSERT INTO pvp_lang VALUES ('lang_wa','en','Walloon','language name');
INSERT INTO pvp_lang VALUES ('lang_wo','en','Wolof','language name');
INSERT INTO pvp_lang VALUES ('lang_xh','en','Xhosa','language name');
INSERT INTO pvp_lang VALUES ('lang_yo','en','Yoruba','language name');
INSERT INTO pvp_lang VALUES ('lang_zh','en','Chinese','language name');
INSERT INTO pvp_lang VALUES ('lang_zu','en','Zulu','language name');
INSERT INTO pvp_lang VALUES ('backup_file_unreadable','en','Cannot read the backup file - make sure the file permissions are set correctly!','Error message on backup screen during restore');
INSERT INTO pvp_lang VALUES ('locale','en','Locale','Name of the Locale language (for translations of menus etc.)');
INSERT INTO pvp_lang VALUES ('admin_avlang','en','Edit availabilty of languages for audio and subtitle','Link to admin screen');
INSERT INTO pvp_lang VALUES ('state_active','en','active','status e.g. of a language availability for audio/subtitle');
INSERT INTO pvp_lang VALUES ('state_inactive','en','inactive','status e.g. of a language availability for audio/subtitle');
INSERT INTO pvp_lang VALUES ('intro_usage','en','<P>Here are some informations for new users:</P><ul><li>Navigation is always possible using the menu bar available on top of almost all pages</li><li>Most pages are supported by a help screen. You can invoke this either via the help menu or (when available) the "?" button</li><li>The form below lets you directly jump to a movie - if you know its media number. Otherwise, better use the MediaList (available from the "View" menu) or the search form ("Edit" menu).</li></ul>','Newbie information displayed after the logon');
INSERT INTO pvp_lang VALUES ('intro_usage_skip','en','<P>If you do not need this introductional text anymore, you can switch it off with the corresponding option on the preferences screen (see the "Edit" menu).</P>','Hint on the initial page');
INSERT INTO pvp_lang VALUES ('intro_usage_title','en','Introduction for new users','');
INSERT INTO pvp_lang VALUES ('skip_intro','en','Skip the newbie intro?','Item on the preferences page');
INSERT INTO pvp_lang VALUES ('skip_intro_comment','en','Whether to skip the introductional text on the initial page','Item on the preferences page');
INSERT INTO pvp_lang VALUES ('xfer_unknown_filetype','en','This backup file type is not (yet) handled by phpVideoPro.','Error message on backup/restore');
INSERT INTO pvp_lang VALUES ('xfer_wrong_mode','en','Program error: You are in the wrong mode for the requested operation. Required mode is "%1", actual mode is "%2". Please report this to the author with the details of the action performed.','Error message on backup/restore');
INSERT INTO pvp_lang VALUES ('admin_required','en','This action requires admin privileges!','Error message when accessing an admin function without the required user privilege. Should never be displayed ;)');
INSERT INTO pvp_lang VALUES ('restore_db_internal','en','Restore from a PVP backup file','Action on the Backup/Restore page');
INSERT INTO pvp_lang VALUES ('backup_db_sysconf','en','Backup system config and default preferences','Action on the Backup/Restore page');
INSERT INTO pvp_lang VALUES ('backup_db_cats','en','Backup categories','Action on the Backup/Restore page');
INSERT INTO pvp_lang VALUES ('user_create_login_required','en','You must specify a login name for the user!','Error message when trying to add a user without login name');
INSERT INTO pvp_lang VALUES ('hide_cat','en','Hide category','Hint in the Category Administration');
INSERT INTO pvp_lang VALUES ('remove_cat','en','Remove category','Hint in the Category Administration');
INSERT INTO pvp_lang VALUES ('imdb_title_search','en','Search movie with the MDB API','Page name: retrieving movie details from the MDB');
INSERT INTO pvp_lang VALUES ('imdb_transfer2edit','en','Transfer data to edit screen','Button description on the MDBSearch page');
INSERT INTO pvp_lang VALUES ('imdbsearch','en','Retrieve movie details from the MDB','Item in the help topic list');
INSERT INTO pvp_lang VALUES('imdb_url2','en','Alternative IMDB Site','String to display for the IMDB selection on the configuration page');
INSERT INTO pvp_lang VALUES('imdb_url2_comment','en','Although we have localized instances of the IMDB, all they localized up to know are the identifiers the IMDB class uses to parse - so this localization(s) just break the class. On the other hand, the movie information we need stays in English even on non-English sites. This means, for parsing the details we need an <b><i>English</i></b> IMDB site - please chose an appropriate one.','String to display as explanation for the IMDB selection on the configuration page');
INSERT INTO pvp_lang VALUES ('imdb_tx','en','Data to transfer from search window','String to display as explanation for the MDB selection on the configuration page');
INSERT INTO pvp_lang VALUES ('imdb_tx_comment','en','When adding/editing a movie entry, phpVideoPro offers you the possibility to retrieve some information from the MDB and/or MoviePilot. Here you can specify what information you want to transfer to phpVideoPros database by default.','String to display as explanation for the MDB selection on the configuration page');
INSERT INTO pvp_lang VALUES ('imdb_tx_title','en','Title','Option name on configuration/preferences page for items to transfer from MDB');
INSERT INTO pvp_lang VALUES ('imdb_tx_year','en','Year','Option name on configuration/preferences page for items to transfer from MDB');
INSERT INTO pvp_lang VALUES ('imdb_tx_pg','en','PG','Option name on configuration/preferences page for items to transfer from MDB');
INSERT INTO pvp_lang VALUES ('imdb_tx_length','en','Length','Option name on configuration/preferences page for items to transfer from MDB');
INSERT INTO pvp_lang VALUES ('imdb_tx_cat','en','Categories','Option name on configuration/preferences page for items to transfer from MDB');
INSERT INTO pvp_lang VALUES ('imdb_tx_director','en','Director','Option name on configuration/preferences page for items to transfer from MDB');
INSERT INTO pvp_lang VALUES ('imdb_tx_actor','en','Actors','Option name on configuration/preferences page for items to transfer from MDB');
INSERT INTO pvp_lang VALUES ('imdb_tx_comments','en','Comment','Option name on configuration/preferences page for items to transfer from MDB');
INSERT INTO pvp_lang VALUES ('imdb_tx_country','en','Country','Option name on configuration/preferences page for items to transfer from MDB');
INSERT INTO pvp_lang VALUES ('cache_enable','en','Enable browser/proxy caching?','Option on the configuration screen');
INSERT INTO pvp_lang VALUES ('cache_enable_comment','en','Since phpVideoPro is a dynamic application, generating pages based upon database information on each request, you may want to disable caching the generated pages. Sometimes, this is very helpful for MSIE users...','Option on the configuration screen');
INSERT INTO pvp_lang VALUES ('imdb_txwin_autoclose','en','AutoClose search window on data transfer?','Option on the configuration screen for MDB window');
INSERT INTO pvp_lang VALUES ('imdb_txwin_autoclose_comment','en','When you got all needed values from the MDB and transfered them to your edit screen, the search window is no longer needed. Nevertheless, you may want to keep it for reference or other reasons.','Option on the configuration screen for MDB window');
INSERT INTO pvp_lang VALUES ('imdb_tx_music','en','Composer','Option name on configuration/preferences page for items to transfer from MDB');
INSERT INTO pvp_lang VALUES ('imdb_movie_id','en','IMDB movie ID','Name of a field for MDB search');
INSERT INTO pvp_lang VALUES ('imdb_search_empty_result','en','Sorry, but we found no corresponding entry in the MDB.<BR>You may want to try again with different search terms.','');
INSERT INTO pvp_lang VALUES ('imdb_cache_enable','en','Enable caching of MDB data?','Option on the configuration screen');
INSERT INTO pvp_lang VALUES ('imdb_cache_enable_comment','en','Lookup of movie details on MDB can be time intensive, since phpVideoPro needs to retrieve multiple pages. Although, caching only makes sense if you tend to lookup the same movie data more than once - so normally you should not need that. If you switch this option active, make sure you define a cache directory that is writeable for your webserver.','Option on the configuration screen');
INSERT INTO pvp_lang VALUES ('imdb_cache_dir','en','Directory to store the MDB Cache to','Option on the configuration screen');
INSERT INTO pvp_lang VALUES ('imdb_cache_dir_comment','en','This directory must be r/w for the WebServer and specifically used for this purpose. Path may be relative to the phpVideoPro installation base path (recommended). Do <b><i>not</i></b> use your systems temporary directory for this.','Option on the configuration screen');
INSERT INTO pvp_lang VALUES ('imdb_cache_use','en','Use cached data on new requests?','Option on the configuration screen');
INSERT INTO pvp_lang VALUES ('imdb_cache_use_comment','en','While above statement controls the <b><i>storing</i></b> of MDB data into the local cache, this option controls whether phpVideoPro uses this cache for lookups. If enabled, and cache data exist, phpVideoPro will not contact the MDB for details on the specific movie but use the cached data instead.','Option on the configuration screen');
INSERT INTO pvp_lang VALUES ('imdb_cache_expire','en','Purge MDB cache','Option on the configuration screen');
INSERT INTO pvp_lang VALUES ('imdb_cache_expire_comment','en','If the MDB caching function is enabled, the size of the cache dir will grow. Use this option to specify when files should "expire", i.e. the maximum age they allowed to reach.','Option on the configuration screen');
INSERT INTO pvp_lang VALUES ('admin_orphan_fs','en','Removal of orphaned files','Title of the "CleanUp FileSystem" page (see administration menu)');
INSERT INTO pvp_lang VALUES ('desc_admin_orphan_fs','en','"Orphaned files" are data without assignment, i.e. here: images to whom is nowhere refered to from any movie. The most likely reasons for this are: <UL><LI>You retrieved images with an MDB search request but decided to not use them</LI><LI>You edited a record and changed/removed the image from the description</LI><LI>You deleted a record, and this stupid application did not care for the image</LI></UL>However: If you think you will not assign these images to any movie record, you can let phpVideoPro delete the listed files here.','Introduction to the "CleanUp FileSystem" page (see administration menu)');
INSERT INTO pvp_lang VALUES ('imdb_image_files','en','MDB image files','Image files automatically downloaded at MDBSearch');
INSERT INTO pvp_lang VALUES ('local_image_files','en','Local image files','Image files manually stored into the ImgPath configured with phpVideoPro');
INSERT INTO pvp_lang VALUES ('movie_pict_default','en','Default screen format for new movies','Option on the configuration screen');
INSERT INTO pvp_lang VALUES ('movie_pict_default_comment','en','This will be used as default screen format when adding a new entry.','Option on the configuration screen');
INSERT INTO pvp_lang VALUES ('movie_lang_default','en','Default audio language for new movies','Option on the configuration screen');
INSERT INTO pvp_lang VALUES ('movie_lang_default_comment','en','This will be used as default audio language when adding a new entry.','Option on the configuration screen');
INSERT INTO pvp_lang VALUES ('pvp_homepage','en','Project homepage','Description for the link to the phpVideoPro homepage in the help menu');
INSERT INTO pvp_lang VALUES ('bubble_help_enable','en','Activate BubbleHelp?','Option on the configuration screen');
INSERT INTO pvp_lang VALUES ('bubble_help_enable_comment','en','If enabled, context-sensitive help is displayed for some items if you move the mouse over them (e.g. on the window buttons of the Applicat template set).','Option on the configuration screen');
INSERT INTO pvp_lang VALUES ('help_for_block','en','Help for this block','BubbleHelp displayed on the help icon (if available; e.g. on the configuration screen)');
INSERT INTO pvp_lang VALUES ('fsk_is_nan','en','The selected value for PG is not numeric,\\\\nbut phpVideoPro requires a numeric value.\\\\nClick the info icon next to the PG for more details.','JavaScript ErrorMsg popup when entering not-numeric PG');
INSERT INTO pvp_lang VALUES ('unlink_file_failed','en','Failed to delete - check permissions or delete manually.','Error message on failed file deletion');
INSERT INTO pvp_lang VALUES ('dupes_strict','en','Strict','Movies that appear to be recorded into your collection more than once - you may have multiple copies then. Strict checking.');
INSERT INTO pvp_lang VALUES ('len_is_nan','en','The selected value for Length is not numeric,\\\\nbut phpVideoPro requires a numeric value.','JavaScript ErrorMsg popup when entering not-numeric length value');
INSERT INTO pvp_lang VALUES ('name_not_string','en','One of the entered names contains invalid characters (to prevent code injection, only letters, digits and the "-" are allowed).','Input check on several pages on form submission');
INSERT INTO pvp_lang VALUES ('title_not_string','en','The entered title contains invalid characters (to prevent code injection, only letters, digits and the "-" are allowed).','Input check on several pages on form submission');
INSERT INTO pvp_lang VALUES ('comment_not_string','en','The entered comment contains invalid characters (to prevent code injection, only letters, digits and the "-" are allowed).','Input check on several pages on form submission');
INSERT INTO pvp_lang VALUES ('input_errors_occured','en','phpVideoPro encountered %1 problem(s) while processing your input:','Input check on several pages on form submission');
INSERT INTO pvp_lang VALUES ('error_occured','en','phpVideoPro Error','Input check on several pages on form submission (page title)');
INSERT INTO pvp_lang VALUES ('loginpwd_whitespace','en','Login and/or Password contain (white)spaces. This is not valid.','Errormessage on login');
INSERT INTO pvp_lang VALUES ('medianr_is_nan','en','The MediaNr must be numeric\\\\n(i.e. letters and special chars are not allowed).','Error msg on invalid MediaNr input on several forms');
INSERT INTO pvp_lang VALUES ('fontsize_is_nan','en','Fontsize must be given in numeric values\\\\n(i.e. only digits are allowed here).','Input check on e.g. PSLabel form');
INSERT INTO pvp_lang VALUES ('id_is_nan','en','ID must be numeric!\\\\n(i.e. only digits are allowed)','(JavaScript) error message on form input');
INSERT INTO pvp_lang VALUES ('date_is_nan','en','Date, month and year must be numeric!\\\\n(i.e. only digits are allowed)','(JavaScript) error message on form input');
INSERT INTO pvp_lang VALUES ('media_info','en','Media Info','name of link to media info on the movie entry screen');
INSERT INTO pvp_lang VALUES ('owner','en','Owner','how we call the owner of a medium');
INSERT INTO pvp_lang VALUES ('storeplace','en','Stored at','the physical place a medium resides');
INSERT INTO pvp_lang VALUES ('lentto','en','Lent to','if we temporarily gave away some medium');
INSERT INTO pvp_lang VALUES ('own_to_user','en','Transfer to','name of select box for media of user to delete');
INSERT INTO pvp_lang VALUES ('dupes_own_strict','en','Own+Strict)','Movies that appear to be recorded into your collection more than once - you may have multiple copies then. Only yours, strict checking.');
INSERT INTO pvp_lang VALUES ('dupes_own','en','Own','Movies that appear to be recorded into your collection more than once - you may have multiple copies then. Only yours.');
INSERT INTO pvp_lang VALUES ('grant_filter_desc','en','Show records from','Description for the filter page');
INSERT INTO pvp_lang VALUES ('medium_no_access','en','Sorry: This medium either does not exist, or is empty, or you have no permission to access its content.','Error message for media info');
INSERT INTO pvp_lang VALUES ('no_delete_permission','en','This medium is not your own, and the owner gave you no permission to delete his records - sorry.','Message when trying to delete a movie without having the required object privileges');
INSERT INTO pvp_lang VALUES ('update_failed_permission','en','Failed to update entry due to missing permissions','Status message displayed on failure of an update.');
INSERT INTO pvp_lang VALUES ('user_grants','en','Permissions on your records','title of the page where you grant permissions to others');
INSERT INTO pvp_lang VALUES ('login_page','en','Login Page','Name of the page where you log in (for the View-Menu)');
INSERT INTO pvp_lang VALUES ('movie_vnorm_default','en','Default Video Norm','Setting on the configuration screen');
INSERT INTO pvp_lang VALUES ('movie_vnorm_default_comment','en','This is the Pre-Setting of the \"Video Norm\" field for new entries. In the US you will usually chose NTSC, while in Europe the common standard is PAL.','');
INSERT INTO pvp_lang VALUES ('movie_private','en','Private','From the Edit screen. If you mark a movie \"private\", it will only be shown to you - even if you granted access on your collection to others.');
INSERT INTO pvp_lang VALUES ('rating','en','Rating','Movie rating like at IMDB.COM');
INSERT INTO pvp_lang VALUES ('rating_is_nan','en','The rating has to be a numerical value between 0 and 9.9','(JavaScript) error message on form input');
INSERT INTO pvp_lang VALUES ('orphan_movies_found','en','Found %1 orphan movie(s):','This refers to staff members. They are stored into separate tables which are then references by the main movie table. Orphaned entries are entries in those tables that no longer refer to any movie, so you may want to remove them.');
INSERT INTO pvp_lang VALUES ('all_topic','en','All','as for \"all dupes\" (used in the menu)');
INSERT INTO pvp_lang VALUES ('last_change','en','LastChange','Column in the medialist indicating date of last change to a movie entry');
INSERT INTO pvp_lang VALUES ('imdb_tx_rating','en','Rating','Option in the configuration menu (checkbox)');
INSERT INTO pvp_lang VALUES ('pstplpack_name','en','LabelPack Name','column title in PSLabel administration');
INSERT INTO pvp_lang VALUES ('pstplpack_rev1','en','Installed Rev.','column title in PSLabel administration');
INSERT INTO pvp_lang VALUES ('pstplpack_rev2','en','Latest Rev.','column title in PSLabel administration');
INSERT INTO pvp_lang VALUES ('check_update','en','Check for Updates','Link description');
INSERT INTO pvp_lang VALUES ('label_pack','en','LabelPack','');
INSERT INTO pvp_lang VALUES ('label_packs','en','LabelPacks','');
INSERT INTO pvp_lang VALUES ('creator','en','Creator','As used with the PSLabelPacks: The one who made them');
INSERT INTO pvp_lang VALUES ('description','en','Description','As the word says');
INSERT INTO pvp_lang VALUES ('psinst_target_not_rw','en','The installation directory is not writable for us. You need to download and copy the files manually.','Message on installation/update/removal of PS Label Packs');
INSERT INTO pvp_lang VALUES ('psinst_log_unpack','en','Unpacking PSLabel Pack archive %1','Message on installation/update/removal of PS Label Packs');
INSERT INTO pvp_lang VALUES ('psinst_unpack_archive_failed','en','Could not unpack the archive. Perhaps the download was broken or (temporarily) unavailable - so it may help to check your Internet connection and simply try again.','Message on installation/update/removal of PS Label Packs');
INSERT INTO pvp_lang VALUES ('psinst_packinfo_not_found','en','Could not find the PSLabel PackInfo file \"%1\". Please make sure you downloaded and unpacked the corresponding PSLabel Pack archive to the installation directory.','Message on installation/update/removal of PS Label Packs');
INSERT INTO pvp_lang VALUES ('psinst_packinfo_empty','en','The PSLabel PackInfo file %1 does not contain the necessary information. Please verify that you downloaded and installed a valid PSLabel Pack archive.','Message on installation/update/removal of PS Label Packs');
INSERT INTO pvp_lang VALUES ('psinst_log_read_packinfo','en','Reading PSLabel PackInfo file','Message on installation/update/removal of PS Label Packs');
INSERT INTO pvp_lang VALUES ('psinst_pack_reg_failed','en','Failed registering the PSLabel Pack!','Message on installation/update/removal of PS Label Packs');
INSERT INTO pvp_lang VALUES ('psinst_packinfo_invalid','en','The PSLabel PackInfo file %1 is broken!','Message on installation/update/removal of PS Label Packs');
INSERT INTO pvp_lang VALUES ('psinst_log_reg_epsfiles','en','Registering the graphic files with the DB','Message on installation/update/removal of PS Label Packs');
INSERT INTO pvp_lang VALUES ('psinst_log_regged_epsfiles','en','Graphic files registered with %1 error(s).','Message on installation/update/removal of PS Label Packs');
INSERT INTO pvp_lang VALUES ('psinst_log_remove_pack','en','Removing PSLabel Pack #%1 (%2)','Message on installation/update/removal of PS Label Packs');
INSERT INTO pvp_lang VALUES ('psinst_log_remove_files','en','Removing the graphic files of this PSLabel Pack','Message on installation/update/removal of PS Label Packs');
INSERT INTO pvp_lang VALUES ('psinst_unreg_norw','en','The installation directory is not writable for us, so you need to remove the files manually:','Message on installation/update/removal of PS Label Packs');
INSERT INTO pvp_lang VALUES ('psinst_deregister_pspack','en','Unregistering the PSLabel Pack','Message on installation/update/removal of PS Label Packs');
INSERT INTO pvp_lang VALUES ('psinst_unregd_pspack','en','Unregistered the PSLabel Pack \"%1\" with %2 error(s).','Message on installation/update/removal of PS Label Packs');
INSERT INTO pvp_lang VALUES ('psinst_unreg_pspack_failed','en','Failed to unregister PSLabel Pack %1 from DB','Message on installation/update/removal of PS Label Packs');
INSERT INTO pvp_lang VALUES ('psinst_log_finished','en','Process finished.','Message on installation/update/removal of PS Label Packs');
INSERT INTO pvp_lang VALUES ('psinst_query_dlinst','en','Download and install the latest available revision of PSLabel Pack \"%1\"','Query on the PSLabelPack Installation');
INSERT INTO pvp_lang VALUES ('psinst_query_inst','en','Install revision %2 of PSLabelPack \"%1\"','Query on the PSLabelPack Installation');
INSERT INTO pvp_lang VALUES ('psinst_query_remove','en','Remove PSLabelPack \"%1\"','Query on the PSLabelPack Installation');
INSERT INTO pvp_lang VALUES ('psinst_query_remove_files','en','Remove PSLabelPack \"%1\" and its files','Query on the PSLabelPack Installation');
INSERT INTO pvp_lang VALUES ('psinst_title','en','PSLabelPack (De-)Installation','Screen title');
INSERT INTO pvp_lang VALUES ('psinst_action_select','en','Please select the action to perform:','Intro for PSLabelPack (De-)Installation');
INSERT INTO pvp_lang VALUES ('admin_psinst','en','PSLabelPack (De-)Installation','Help page title');
INSERT INTO pvp_lang VALUES ('psinst_no_rev_file_found','en','Could not find the revision file. If your Internet connection is working, the phpVideoPro site may be temporarily out-of-order.','Message on installation/update/removal of PS Label Packs');
INSERT INTO pvp_lang VALUES ('psinst_no_rev_found','en','Could not find revision number for the PSLabel Pack \"%1\" - this pack is not known at the phpVideoPro site.','Message on installation/update/removal of PS Label Packs');
INSERT INTO pvp_lang VALUES ('psinst_search_rev','en','Looking for latest revision number of the PSLabel Pack \"%1\"...','Message on installation/update/removal of PS Label Packs');
INSERT INTO pvp_lang VALUES ('psinst_found_rev','en','Found revision #%1.','Message on installation/update/removal of PS Label Packs');
INSERT INTO pvp_lang VALUES ('psinst_query_download','en','Download the latest available revision of the PSLabel Pack \"%1\"','Query on the PSLabelPack Installation');
INSERT INTO pvp_lang VALUES ('info','en','Info','');
INSERT INTO pvp_lang VALUES ('admin_psinstall','en','PSLabelPack (De-)Installation','Page title');
INSERT INTO pvp_lang VALUES ('cat_egypt','en','Egyptology','A category name');
INSERT INTO pvp_lang VALUES ('pspack_install_required','en','No suitable EPS templates found - you need to install the corresponding PSLabel Pack first!','Error message on PSLabel print');
INSERT INTO pvp_lang VALUES ('use_http_auth','en','Use HTTP Authentification?','Option on the configuration screen');
INSERT INTO pvp_lang VALUES ('use_http_auth_comment','en','This option is useful for site-integration using a \"single sign-in\". If the so logged-in user and his/her password match with phpVideoPro user information, the login will be performed automatically. If you don\'t need it, leave it turned off.','Option on the configuration screen');
INSERT INTO pvp_lang VALUES ('default_pstemplate','en','Default PSLabel Template','Option on the configuration screen');
INSERT INTO pvp_lang VALUES ('default_pstemplate_comment','en','Which PSLabel Template should be pre-selected for printing','Option on the configuration screen');
INSERT INTO pvp_lang VALUES ('episode','en','Episode','TV Episode');
INSERT INTO pvp_lang VALUES ('movie','en','Movie','in opposite to a TV Episode');
INSERT INTO pvp_lang VALUES ('imdbapi_not_installed','en','The IMDB API is not installed - hence you cannot use the MDBSearch from inside phpVideoPro. To enable this functionality, please make sure the <i>imdbphp</i> package is installed on the system phpVideoPro runs on, and available via the configured PHP <i>include_path</i>.','Error message on accessing MDB API functions without the imdbphp package installed');
INSERT INTO pvp_lang VALUES ('delete_cat','en','Delete category <i>%1</i>','Header on the corresponding page');
INSERT INTO pvp_lang VALUES ('del_cat_global_rename','en','Change that category to <i>%1</i> for all affected movies.','Choice on category deletion when category is still used');
INSERT INTO pvp_lang VALUES ('del_cat_individual_rename','en','Decide separately for each movie - show me the list!','Choice on category deletion when category is still used');
INSERT INTO pvp_lang VALUES ('del_cat_no_rename','en','Nothing - take me back!','Choice on category deletion when category is still used');
INSERT INTO pvp_lang VALUES ('action_canceled','en','No action taken.','&quot;Success&quot; message displayed when user canceled or otherwise no action was taken');
INSERT INTO pvp_lang VALUES ('sel_new_cat','en','Select the new category:','Header on individual bulk-update page for category change (when deleting associated categories)');
INSERT INTO pvp_lang VALUES ('default_editor','en','Default Editor','Item on configuration page to chose editor for textareas');
INSERT INTO pvp_lang VALUES ('default_editor_comment','en','A WYSIWYG editor can ease text formatting in so called "text areas" (e.g. for the comments on movies). Activated here, it will be loaded by default. It can be enabled/disabled manually on demand at any time.','Explanation for the default_editor item on the configuration page');
INSERT INTO pvp_lang VALUES ('restrict_to_user','en','restrict to user','checkbox on backup page to restrict backup to a specified user');
INSERT INTO pvp_lang VALUES ('import_from_user','en','Only movies from user','Option on the admins backup page');
INSERT INTO pvp_lang VALUES ('import_to_user','en','Map owner to user','Option on the admins backup page');
INSERT INTO pvp_lang VALUES ('protected_user_no_delete','en','The specified user <i>%1</i> is protected and cannot be deleted.','Error message when trying to delete a protected user');
INSERT INTO pvp_lang VALUES ('store_backup','en','Store on Server','Radio box on backup page');
INSERT INTO pvp_lang VALUES ('send_backup','en','Download','Radio box on backup page');
INSERT INTO pvp_lang VALUES ('backup_store_success','en','Successfully stored %1 for this backup.','Success message on backup-to-disk');
INSERT INTO pvp_lang VALUES ('backup_failed','en','Failed to create the backup file!','Failure message on backup-to-disk');
INSERT INTO pvp_lang VALUES ('backup_menu','en','Backup','Entry in edit menu for users backup');
INSERT INTO pvp_lang VALUES ('user_backup_store','en','Create on Server','Entry in the users backup menu');
INSERT INTO pvp_lang VALUES ('user_backup_restore','en','Restore from Server','Entry in the users backup menu');
INSERT INTO pvp_lang VALUES ('user_backup_download','en','Create and Download','Entry in the users backup menu');
INSERT INTO pvp_lang VALUES ('config_user_backups','en','User Backups','Block header on the configuration page');
INSERT INTO pvp_lang VALUES ('permit_userbackup_download','en','Permit users to download their backups?','Option on the configuration page');
INSERT INTO pvp_lang VALUES ('permit_userbackup_download_comment','en','Enabling this option allows users to create a backup of their movie data which will be sent to their browsers (not stored on the server).','Explanation to an option on the configuration page');
INSERT INTO pvp_lang VALUES ('permit_userbackup_store','en','Permit users to store backups on the server?','Option on the configuration page');
INSERT INTO pvp_lang VALUES ('permit_userbackup_store_comment','en','Enabling this option will allow users to create backups of their movie data, which then will be automatically stored in the backup directory configured on the server. These backups will not be sent for download.','Explanation to an option on the configuration page');
INSERT INTO pvp_lang VALUES ('permit_userbackup_restore','en','Permit users to restore their backups on the server?','Option on the configuration page');
INSERT INTO pvp_lang VALUES ('permit_userbackup_restore_comment','en','This will allow users to restore their movie data from a backup file provided in the configured backup directory. This must be a file especially created for them - so they cannot restore from foreign backups.','Explanation to an option on the configuration page');
INSERT INTO pvp_lang VALUES ('max_user_backups','en','How many backups to keep on the server (per user)?','Option on the configuration page');
INSERT INTO pvp_lang VALUES ('max_user_backups_comment','en','This number will be checked everytime a user requests a new backup to be created to be stored to the server. If this limit is reached, the oldest backup file will be removed.','Explanation to an option on the configuration page');
INSERT INTO pvp_lang VALUES ('db_clean_admin_required','en','To purge the entire DB, you need to have admin privileges.','Error message');
INSERT INTO pvp_lang VALUES ('user_backup','en','User Backup/Restore','Page title');
INSERT INTO pvp_lang VALUES ('mdbapi_v1_only_config','en','Outdated version of IMDBPHP installed','Message on config screen');
INSERT INTO pvp_lang VALUES ('mdbapi_v1_only_config_comment','en','Only an outdated version of IMDBPHP was found on this system. Not all features are available, so some settings are deactivated.','Message on config screen');
INSERT INTO pvp_lang VALUES ('mdbapi_notavail_config','en','IMDBPHP API not found','Message on config screen');
INSERT INTO pvp_lang VALUES ('mdbapi_notavail_config_comment','en','There was no IMDBPHP API found in the PHP include_path, so these settings are not available.','Message on config screen');
INSERT INTO pvp_lang VALUES ('pilot_url','en','MoviePilot Site to use','Item on the configuration screen');
INSERT INTO pvp_lang VALUES ('pilot_url_comment','en','Like the IMDB, MoviePilot provides a lot of details for movies. Though its database might be not that complete, the great advantage is a stable API and no copyright issues (all content sticks to the Creative Commons license). The URLs here indicate the content language served.','Item on the configuration screen');
INSERT INTO pvp_lang VALUES ('pilot_fallback','en','Fallback for content missing at MoviePilot','Item on the configuration screen');
INSERT INTO pvp_lang VALUES ('pilot_fallback_comment','en','For content missing at MoviePilot, the API allows to fill it up from the IMDB. Here you can define to which degree this should happen: NO_ACCESS means no fallback (and is the safe side for copyright issues), BASIC_ACCESS is almost not trackable, and FULL_ACCESS tries to catch as much as possible.','Item on the configuration screen');
INSERT INTO pvp_lang VALUES ('mdb_use','en','Which movie site to use','Item on the configuration screen');
INSERT INTO pvp_lang VALUES ('mdb_use_comment','en','Here you can decide from which site content shall be retrieved. If you enable IMDB, MoviePilot, and Pilot Fallback, you might get some duplicate information - so you better decide for either the Fallback or both sites.','Item on the configuration screen');
INSERT INTO pvp_lang VALUES ('imdbapi_disabled','en','The IMDB API is available, but has been disabled. Please check your settings/configuration.','Hint in the IMDB search window');
INSERT INTO pvp_lang VALUES ('invalid_pilot_apikey','en','The Moviepilot API key you entered is invalid.','Error message at configuration');
INSERT INTO pvp_lang VALUES ('pilot_apikey','en','Moviepilot API-key','Item on the configuration screen');
INSERT INTO pvp_lang VALUES ('pilot_apikey_comment','en','To use the Moviepilot API, you need to have a valid key. This can be either specified within the config files of IMDBPHP, or you can do so here. If specified in both places, the one specified here takes precedence.','Item on the configuration screen');
INSERT INTO pvp_lang VALUES ('imdb_lang','en','IMDB languages','Item on the configuration screen');
INSERT INTO pvp_lang VALUES ('imdb_lang_comment','en','Override IMDBPHP default languages. This should be a comma-separated list of ISO language codes, e.g. <code>de-DE,de,en-US,en</code>. Leave empty to use the defaults you’ve defined with the IMDBPHP config.','Item on the configuration screen');
#INSERT INTO pvp_lang VALUES ('','en','','');
